Introduction

Index.dat Suite
Introduction

Overview

Index.dat Suite is a rather unique program that allows you not only to delete the index.dat files, temporary internet files, temp files, cookies and history amongst other things, it also allows you to view the index.dat files contents on your system.

Index.dat Suite's current features include;
  1. View, delete and backup index.dat files
  2. View and delete Temporary Internet Files (TIF)
  3. View and delete Cookies
  4. View and delete History
  5. View and delete Temp files
  6. View and delete Recent Documents
  7. Delete Typed URL's
  8. Delete Prefetch folder contents
  9. Auto-generation of batch file to assist in deleting the index.dat files in DOS.
  10. Optional add to RunOnce, Run or WinLogon registry key
  11. Optional deletion of swap file (9x users only)
  12. Optional backup/deletion of NTUser.dat.log file (2K/XP/Server 2003 users only)
  13. Optional defrag after file deletion
  14. Optional System Restore Point creation
  15. Full application logging
As with all of Ur I.T. Mate Group's software, Index.dat Suite is 100% freeware with no nags, ad's, spyware, malware or other annoyances, and I intend to keep it that way. If you have any questions or comments about Index.dat Suite, please feel free to contact us.

Quick Start:

Using Index.dat Suite
What are index.dat files?
Locating index.dat files
Deleting index.dat files
Viewing index.dat files

Settings and Options
Keyboard Shortcuts


System Requirements

System Requirements
Below are the minimum and recommended system requirements for Index.dat Suite. Before using this program, you should really ensure your computer atleast matches or exceeds the minimum requirements.

Minimum

486/66 DX2
16MB Ram
Windows 95
Internet Explorer 5.0
Visual Basic 6 Runtime files 		Recommended

Intel Pentium II 300Mhz
128MB Ram
Windows 98 Second Edition
Internet Explorer 5.5
Visual Basic 6 SP5 Runtime files

Space Required: 1.3MB* (approximately 570K for Index.dat Suite itself)

* Approx size based on Basic Install package


Quick Start

Quick Start
Who should use this program?

Index.dat Suite is intended for anyone that is interested in finding out just what the index.dat file contains, and a quick and convenient way to get rid of them.

If you are a novice PC user, we strongly recommend you read the section titled Using Index.dat Suite before using Index.dat Suite as we have been told that some of those that are not quite used to computers, have had problems trying to work out how to use this program.

If you are only interested in viewing the contents of the index.dat file's on your computer and not deleting them, then have a look at our Index.dat QV utility instead.

Index.dat QV is a much scaled down version of Index.dat Suite, and is intended solely for those wishing to view the index.dat file's. Unlike Index.dat Suite, it does not have support for deleting them, and does not contain any of the additional features that you will find in Index.dat Suite.

Quick Step by Step

Using Index.dat Suite is pretty straight forward unless you want to customize it, or have a non-standard system setup. This guide is a quick step by step to using Index.dat Suite.

1. Location, Location, Location

On the IDFinder window (the first window you see when loading the program), you will notice a Search In dropdown box. By default this is set to [ALL HARD DRIVES], unless you have multiple hard drives/partitions, you can leave this as standard, otherwise, you can either use custom paths, or select a folder by clicking the Browse button to the right of it.

2. Finding the files

To have Index.dat Suite find the index.dat files, all you need to do is click Find, the program will do the rest.

3. Version matters

Index.dat Suite will automatically determine which version of Windows you are running and generate the appropriate file accordingly. If you want to check it detected the correct version, you can do so via Tools > Settings > Batch File, and clicking on the little picture next to the Platform dropdown box. Otherwise, skip to step 4.

4. Generating the file

To generate the file, once the scan has finished (it will say "Finished" in the status bar), click the Generate File button on the toolbar (second from the left), which looks like;

Index.dat Suite will now generate the file for you and once complete, will display the following message, then load the file in Notepad for you to view.

5. Finish it off

Once the file has been generated, all you need do is re-start your computer. The batch file will do the rest for you.
Quick Start:

Using Index.dat Suite
What are index.dat files?
Locating index.dat files
Deleting index.dat files
Viewing index.dat files

Settings and Options
Keyboard Shortcuts


What are the index.dat file's?

What are the index.dat file's?
Index.dat files are files that are files that are stored on your computer and store information on every website you have visited. Every single webpage from search engines, to online bank site's are stored in these file's, along with e-mails you have sent via Microsoft Outlook and Microsoft Outlook Express.

The filenames and locations for these file's vary depending on the version of Internet Explorer you have installed. In earlier versions of Internet Explorer, these files were named Mm256.dat and Mm2048.dat. If you are running Internet Explorer 4.0 or above, the filenames are "index.dat", and the locations are generally;

Windows 9x > Windows ME

\Windows\Cookies
\Windows\History\history.ie5
\Windows\History\History.ie5\sub-folders
\Windows\Temporary Internet Files
\Windows\Temporary Internet Files\Content.IE5\
\Windows\Temporary Internet Files\Content.IE5\sub-folders

Windows NT > Windows Server 2003

As above, but also include;

\Documents and settings\<username>\cookies
\Documents and settings\<username>\Local Settings\History
\Documents and settings\<username>\Local Settings\Temporary Internet Files
\Documents and settings\<username>\Local Settings\Temporary Internet Files\Content.IE5
\Documents and settings\<username>\Local Settings\Temporary Internet Files\Content.IE5\sub-folders
\Documents and settings\All Users\cookies
\Documents and settings\All Users\Local Settings\History
\Documents and settings\All Users\Local Settings\Temporary Internet Files
\Documents and settings\All Users\Local Settings\Temporary Internet Files\Content.IE5
\Documents and settings\All Users\Local Settings\Temporary Internet Files\Content.IE5\sub-folders
\Documents and settings\Default User\cookies
\Documents and settings\Default User\Local Settings\History
\Documents and settings\Default User\Local Settings\Temporary Internet Files
\Documents and settings\Default User\Local Settings\Temporary Internet Files\Content.IE5
\Documents and settings\Default User\Local Settings\Temporary Internet Files\Content.IE5\sub-folders

and

\windows\system32\config\systemprofile\cookies
\windows\system32\config\systemprofile\local settings\history
\windows\system32\config\systemprofile\local settings\history\sub-folders
\windows\system32\config\systemprofile\local settings\temporary internet files\content.ie5

Index.dat file's are actually cloaked rather than hidden, which is why you will usually not find them when using the built in Windows "Find" or "Search" feature. Cloaked file's are treated differently to hidden file's in windows and DOS and are generally not shown (however, on a 9x system, they can still be located and found manually in DOS).

The reason for these file's is not yet known as Microsoft have never (at time of writing) provided anyone with an adequate explanation as to their purpose, or why they are hidden in this manner.

The index.dat file's themselves are in constant use when Windows is running, and cannot be deleted unless you exit Windows first (or by killing the explorer.exe process and loading a command shell). Even when you use the deletion options provided in Internet Explorer, the index.dat file's, including their content's, are left untouched.

See Also:

Using Index.dat Suite
What are index.dat files?
Locating index.dat files
Deleting index.dat files
Viewing index.dat files

External References:

Jeff's WebLog November 2004 - Posts - Index.dat Files (parts I, II, III)
http://blogs.msdn.com/jeffdav/archive/2004/11.aspx

Description of the Mm256.dat and Mm2048.dat Files
http://support.microsoft.com/default.aspx?scid=kb;EN-US;q178702


Deleting index.dat files

Deleting index.dat files
This document assumes;

1. You have checked and chosen the settings you wish to use (see Notes)
2. You have already run the scan on your system (see: Locating Index.dat Files)
3. You are not using the Batch File Generation Wizard
4. You have left the batch file name as "idsuite_run.bat" (default filename)

On the main IDFinder window, after the scan is complete, place a tick next to the items you want to delete.

To delete the index.dat file's, click the "Generate File" button on the toolbar (Shortcut Key: CTRL+G).

Index.dat Suite will now generate the file that will be used to delete the index.dat file's. Once the generation is complete, you will see the following message;

The generated file will now be shown to you. This allows you to not only check the file for errors, but also to add any additional commands (such as deleting other file's/folders).

If you have ticked the "Add file to RunOnce registry key after file generation" option (or one of the other automation options) in the Index.dat Suite settings, you can now simply re-start your computer. The batch file will do the rest for you.

If however, you have opted to run the file manually, you will need to boot into DOS, and run the file.

To get to DOS on Windows 95, 98, 98SE or Windows ME, re-start your computer and keep pressing F8. If done correctly, you will be presented with a black screen containing options. Select the option labelled "Command Prompt Only". At the prompt, type the following (assuming the batch file has been left in the root of the drive (i.e. c:\idsuite_run.bat):

[drive]\idsuite_run.bat

Where [drive] is the drive containing the batch file we created above.

Notes:

If you have ticked the option in the Settings labelled "Use default file generation routine to remove all index.dat files", all items found will be included in the generated file (regardless of whether you have chosen to exclude them or not)


Locating Index.dat Files

Locating Index.dat Files
To locate the index.dat file's, select a drive/folder to scan and then click the Find button on the main IDFinder window.

Once the scan of your computer is complete. You will see all of the index.dat file's Index.dat Suite was able to find.

From here, you can decide whether to Delete the index.dat files, or view their contents.

See also:

Automating Index.dat Suite
Using custom 'Search in' paths


Viewing Index.dat Files

Viewing Index.dat Files
There are two possible ways to do this, with a dedicated viewer, or using the built in viewer.

To use the built in viewer, simply select the file you wish to view and either click the "View File Contents" button (3rd from the left), or right click it and select "View File Contents > Use Internal Viewer" (Shortcut key: CTRL+V) or if you have the option selected, "View File Contents > Use External Viewer" (Shortcut key: CTRL+E).

You will then see the following message (assuming you have not disabled it in the Index.dat Suite settings). This message simply warns you that the content extraction could take a while, if you do not mind waiting click OK, otherwise click Cancel.

Although the prompt above mentions upto and over 10 mins, it could actually take between 30 seconds, to 30 minutes, to extract the contents of a file. The time it takes depends on both the speed of your computer, and the size of the file you wish to view.

Once the extraction is complete, you will see something resembling the following.


Error Codes

Error Codes
Code | Description | Resolution
500 | A critical error occured whilst generating the batch file | This error (previously known as IDSE 0500), occurs when invalid lines are found in the generated batch file, such as; deltree /y *.* You will be asked if you would like to have the program automatically fix this or not. If choosing no, the batch file generation will be cancelled. You can disable the batch file verification routine using the settings provided, but unless you know the path it is failing on, it cannot be resolved at present.
501 | Error: No {FOLDER_NAME} path specified Followed by: File could not be created because there were invalid paths specified in the Settings options | This error occurs when one or more of the paths specified in the Folders tab (Tools > Settings > Folders) is invalid or cannot be found. To resolve this error, either check the path for the respective folder (where {FOLDER_NAME} shows you the folder), or disable it's inclusion by unticking it's respective check box.
504 | I'm sorry, System Restore does not seem to be available on this computer | This error occurs when Windows tells me that System Restore is unavailable To resolve this, please check System Restore is turned on, and/or is available for your version of Windows.
505 | Path length smaller than I have been told to allow | The smallest path possible is 8 characters. Anything smaller will result in this error. To resolve this, you need to check your custom paths are valid
506 | There are no items with which to generate your file | This error occurs when there are no index.dat files to include in the batch file to be generated.
509 | I was unable to create the following file. I'll try putting it in my folder instead. {FILE_TO_BE_GENERATED} If you continue seeing this error, please check your systems permissions allow you to write to the location you have chosen for the batch file | This error occurs when the program is unable to create the batch file to be generated. Usually this is caused by permissions preventing access (i.e. limited accounts not being able to write the default path (c:\idsuite_run.bat)). To correct this issue, please check the location of the file to be generated, is such that the account being used is able to write to.
510 | A file not found error occured whilst launching the file. Please refer to knowledgebase article #28: http://support.it-mate.co.uk/?mode=KB&kbid=28 | This error occurs when the generated batch file has been prematurely deleted. This is usually caused by false positives from antivirus programs such as McAfee. Please refer to the knowledgebase for details on resolving this error.

Have I forgotten to list an error code here?, please let me know and I'll update the help file.


Frequently Asked Questions

Frequently Asked Questions
Note: Updates to this document can be found at;

http://support.it-mate.co.uk/?mode=Products&p=index.datsuite&act=FAQ

How do I ....
  1. Delete the index.dat files?
  2. View the index.dat files?
  3. Disable the batch file verification procedure?
Deleting the index.dat files

See: Deleting index.dat files

Viewing the index.dat files

See: Viewing index.dat files

Disabling the batch file verification procedure

This setting can be disabled by unticking the option labelled "Always verify batch file contents after file generation". To do this, open the settings by clicking Tools > Settings, and click the "Batch File" tab


Online Support

Online Support
There are several ways you can get help with Ur I.T. Mate Group products and services.
  1. E-mail

    services@it-mate.co.uk

  2. Online ticket system

    http://mysteryfcm.co.uk/?mode=Tickets

  3. Search our knowledgebase

    http://support.it-mate.co.uk/?mode=KB

  4. Online "bug report form"

    http://support.it-mate.co.uk/?mode=Contact&sub-mode=csupport#CBR_Top
Note: If you are reporting a bug, please use option 4.


Using Index.dat Suite

Using Index.dat Suite
Quick Setup

This section is a quick guide for those that are using Index.dat Suite for the first time.

The following items are set with default values that should not need changed. However, it is strongly recommended to familiarize yourself with the program, it's settings and features, and the benefits/risks of using and enabling/disabling them before you use the program.

1. Search In

This is the box on the main IDFinder window, that tells Index.dat Suite, which drive/folder, it should search in. The default value for this is "[ALL HARD DRIVES]" and will generally not need to be changed unless you have alot of drives or only want to scan a specific folder.

To change the Search in location, click the Browse button to the right hand side of the "Search In" box.

2. Settings

Index.dat Suite has some standard default settings, designed to make things a little easier for the user, such as the folders that are included in the generated batch file, and the default filename for the batch file itself (the default filename is idsuite_run.bat). These can be changed in the Settings options:

Menu: Tools > Settings
Shortcut Key: F11

The main settings you will need, are enabled by default and unless you know what you are doing, these should not be changed.

3. Platform

Most importantly, you should check to make sure Index.dat Suite has correctly detected your platform (version of Windows). The easiest way to do this is to check the Index.dat Suite log file, however, you can also manually check/set this in the Settings options.

Menu: Tools > Settings > Batch File (tab)
Shortcut Key: F11

Once you have checked the above, you can simply save your settings, and click Find on the main IDFinder window. Index.dat Suite will then proceed to locate the index.dat file's on your system.

Once the scan has finished, you can opt to either;

1. View the contents (See: Viewing index.dat files)
2. Delete them (See: Deleting index.dat files)

See also:

Automating Index.dat Suite
Settings and Options
Keyboard Shortcuts
Using custom 'Search in' paths
Using the Batch File Generation Wizard


Automating Index.dat Suite

Index.dat Suite Automation Logo Index.dat Suite
Automating Index.dat Suite
For those that would like a "set and forget" option, Index.dat Suite allows you to have the whole process completely automated.

When run in auto mode, Index.dat Suite will perform the following operations without requiring user interaction (uses your existing settings/search paths);

1. Locate index.dat files
2. Batch file generation
3. Add command to RunOnce* registry key

* Or whichever of the four options you have chosen (Run, RunOnce, Winlogon or run on Shutdown)

Whilst Index.dat Suite performs these operations, you will see a dialog similar to the following.

Depending on your chosen settings, you may still be presented with the resulting batch file, though this is strongly recommended to prevent possible errors, this can be disabled by unticking the option labelled "Show generated batch file" (located on the Batch File tab).

Once this operation has completed, you can simply re-start your computer and the generated file will be ran (assuming you enabled the option to perform operation #3)

Using the automation option

Those who installed Index.dat Suite with the Full or Basic installation packages can find the icon for this in the Start > Programs (All Programs for XP) > Index.dat Suite folder.

If you used the No-install package or are upgrading from a version prior to 2.7.0, you will need to create this icon manually.

To do this, open the folder you would like to create the shortcut in and right click an empty space. In the right click context menu, select New > Shortcut, follow the prompts to create the shortcut. Once created, right click it and select Properties, then manually modify it so it contains the command line (see the Target box in the screenshot below).

From there, you can copy this shortcut to any location you wish (e.g. should you wish to have this operation performed on each re-start of your computer, place a copy of the shortcut in the Start Menu's Startup folder).

Running Index.dat Suite on system Shutdown

This feature was introduced in 2.9.9 Beta and allows you to have a batch file generated when shutting down your system. Use of this feature allows a simpler and more efficient "set and forget" as depending on your settings, the batch file will be generated when shutting down or re-starting your computer, then automatically run when the system is loading.

You can also have this program automatically run a cleanup for you on each shutdown. To do this, click Tools > Settings, and select the appropriate option(s) on the General tab (depending on which of the two actions you desire)

1. Automatically generate a new batch file when shutting down/restarting Windows
2. Automatically run cleanup when shutting down/restarting Windows

WARNING: Use of the automation features is entirely at your own risk and is NOT recommended if you have disabled the previewing of the generated batch file.
See also:

Settings and Options


Keyboard Shortcuts?

Keyboard Shortcuts?
The following keyboard shortcut's are currently available in Index.dat Suite

Shortcut | Function
Del | Clear results
CTRL+A | Exclude all items found
CTRL+B | Report a bug
CTRL+C | Copy selected path to clipboard
CTRL+E | View file contents using external viewer
CTRL+F | Shows Custom Folders dialog
CTRL+G | Generate Batch file
CTRL+H | Shows Hide Custom Locations dialog
CTRL+I | Shows Clean Custom Files dialog
CTRL+N | Exclude none
CTRL+P | Print results
CTRL+Q | Close Index.dat Suite
CTRL+S | Save results
CTRL+V | View file contents using internal viewer
CTRL+F12 | View Batch File Generation log file (bfglog.log)
F1 | Shows the help file (if installed)
F2 | Shows Space Utilization dialog
F3 | Toggle toolbar (visible/hidden)
F4 | Clears application and batch file generation logs
F5 | Runs cleanup on everything under Tools > Cleanup
F6 | Deletes the generated batch file, and it's associated registry entry (if one exists)
F7 | Launches the Create System Restore Point dialog (Tools > System Restore)
F9 | Check for new version
F11 | Show Index.dat Suite settings
F12 | View Index.dat Suite log file (applog.log)
Shift+F7 | Launches the Windows System Restore feature


System Restore

System Restore Logo Index.dat Suite
System Restore
As of version 2.9.11, Index.dat Suite allows you to have a system restoration point created when generating a new batch file.

This feature is only available to those versions of Windows that support this feature, such as Windows ME and Windows XP, and is a recommended feature to leave enabled.

System Restore Availability

Not all versions of Windows come with the System Restore feature. Below is a table showing which do, and which do not.

For those versions of Windows that do not have this feature, you can use third party utilities (seperate to Index.dat Suite), to backup your system (see: Third Party Backup Tools)

Platform | Available
Windows 95 | No
Windows 98 | No
Windows 98 Second Edition | No
Windows Millenium Edition | Yes
Windows NT | No
Windows 2000 | No
Windows XP (Home/Pro) | Yes
Windows Server 2003 | Yes
Windows Vista | Yes

Creating a Restore Point manually

You can create a restore point manually by going to Tools > System Restore > Create Restore Point. From here, you can either leave the default name, or enter one of your own:

Disabling Restore Point Creation

To stop Index.dat Suite creating a restore point when generating a batch file, click Tools > Settings. On the General tab, untick the option labelled "Always create System Restore Point before cleanup and running batch file".

Identifying the Restore Point

When the restore point is created, you will see the following in your list of restore points.

See also:

Settings and Options

External References:

Description of the System Restore Utility in Windows Millennium Edition
http://support.microsoft.com/kb/267951

Frequently Asked Questions Regarding System Restore in Windows XP
http://www.microsoft.com/technet/prodtechnol/winxppro/plan/faqsrwxp.mspx

Protecting Files During System Restore
http://www.microsoft.com/windowsxp/using/helpandsupport/expert/russel_sysrestore.mspx

Use System Restore to Undo Changes if Problems Occur
http://www.microsoft.com/windowsxp/using/helpandsupport/learnmore/systemrestore.mspx

Windows Vista Help: System Restore: frequently asked questions
http://windowshelp.microsoft.com/Windows/en-US/Help/517d3b8e-3379-46c1-b479-05b30d6fb3f01033.mspx

Windows Vista Help: Windows Backup and Restore Center
http://www.microsoft.com/windows/products/windowsvista/features/details/backup.mspx

Third Party Backup Tools:

DriveImage XML (Runtime Software, freeware)
http://www.runtime.org/dixml.htm

SelfImage (Excelcia, freeware/open source)
http://selfimage.excelcia.org/


Toolbar

Toolbar
Button | Function
 | Shows the main "IDFinder" (scanner) window
 | Generates the batch file that is used to delete the index.dat files
 | View the selected files contents
 | Generates a batch file from a list of files and folders you specify
 | View your surfing history
 | View cookies currently present on your computer
 | View your temporary internet files
 | View temporary files currently stored on your computer
 | View your recently accessed documents
 | Shows the Space Utilization dialog
 | Shows the Index.dat Suite settings dialog
 | Shows this help file
 | Check for a newer version of Index.dat Suite
 | Allows you to send us reports concerning a bug you have found in this program


Using custom 'Search in' paths

Using custom 'Search in' paths
A request was made during the beta development of the 2.7.x series to allow custom paths to be specified for the search in box, in addition to the custom folder options already available.

Due to this request, users can now specify completely custom paths. To do so, all you need to do is enter the following in the "Search in" box.

[Custom] Drive1:\;Drive2:\

Where Drive1, Drive 2, are the drives you wish to specify (note, these MUST be seperated by the ; character). Should you wish to use this option, you MUST ensure "[Custom] " is placed before the drives (including the space between the ] and the first drive).

As of 2.9.11, you can now also use UNC paths, such as: [Custom] \\192.168.0.222\c$, though you may experience errors when the batch file runs, unless the network connection has already been made and does not require authentication.

See also:

Locating index.dat files


Using the Batch File Generation Wizard

Using the Batch File Generation Wizard
This document assumes;

1. You have enabled the Batch File Generation Wizard (See: Settings and Options)
2. You have already run the scan on your system (see: Locating Index.dat Files)

After the scan of your system has completed, and index.dat file's found. You can then click the File Generation button (second from the left), to start the File Generation Wizard.

The first screen you will see lets you know which file's will be included in the generated file (all items with a tick next to them on the main IDFinder window, will be included here).

Clicking Next takes you to the second screen. This screen allows you to add extra files and/or folders to the generated batch file (e.g. when you want to delete the Scandisk .chk file's).

WARNING: Adding custom folders/files is done so entirely at your own risk!!. Unless you know what you are doing, we strongly recommend AGAINST doing this.

Clicking Next takes you to the final screen. This simply tells you that clicking Next will generate the batch file, along with extra information concerning the use of the generated file.

Clicking Next on this screen, will generate the batch file, and close the wizard.


Using the Batch From File feature

Using the Batch From File feature
The Batch From File feature was added at the request of a user and allows you to have a batch file created from a custom list of files/folders.

You can either add files/folders on-the-fly, or load them from a file. An example file has been provided (batch_from_file-test.txt) and can be found in the Logs folder.

Once the list of files/folders has been specified, you can then generate the file and have it run as soon as it is generated, or via the other options provided (i.e. via the RunOnce registry key) and optionally loaded into Notepad for you to review.

This feature can be accessed either via the File menu, or by clicking the icon shown below, on the toolbar:

Batch From File logo

If a file/folder in the list of files you load, does not exist, you will be shown a message to tell you and it will be skipped. If you load the test file, you will see the following message:

Batch From File - Test file message

Available options for post-file generation are;
  1. Add file to Run registry key

    Adds the file to the Run registry key so it is executed each time Windows loads

  2. Add file to RunOnce registry key

    Adds the file to the Run registry key so it is executed the next time Windows loads, then it's entry is removed.

  3. Add file to WinLogon registry key (NO RESET)

    Adds the file to the WinLogon registry key. Use of this option is NOT recommended and is only provided for help in removing stubborn files/folders.

    When this option is used, the Windows shell entry (explorer.exe) is replaced with the name and path of your batch file. Once the batch file has finished, it will then load explorer.exe.

    Note, if using this option, this entry will NOT be restored once the batch file has executed.

  4. Add file to WinLogon registry key (RESET)

    Adds the file to the WinLogon registry key. Use of this option is NOT recommended and is only provided for help in removing stubborn files/folders.

    When this option is used, the Windows shell entry (explorer.exe) is replaced with the name and path of your batch file. Once the batch file has finished, it will then load explorer.exe.

    Note, if using this option, this will be restored to it's original (explorer.exe) once the batch file has finished, by importing a backup of the previous registry keys value.

  5. Run file after generation

    Runs the batch file as soon as the file is generated. This option is only recommended for files and folders that don't pose deletion problems.

  6. Show me the file and ask if I want to run it (Default value)

    Loads the generated batch file in Notepad and prompts to ask you if you wish to run it.


Menu - File

File Menu
The file menu consists of the following items;
  1. Open

    Open a file (.ids, .idq or .dat)

  2. Properties

    Show the selected file's properties (uses the standard Windows properties API)

  3. Exit

    Closes Index.dat Suite*
*If a scan is in progress, you will be asked if you want to wait for the scan to finish, or interrupt the scan and close immediately.


Menu - Edit

Edit Menu
The Edit menu consists of the following items.
  1. Clear Results

    Clears the list of items found

  2. Copy path to clipboard

    Copies the selected item's path to the Windows Clipboard

  3. Add to custom exclusion locations

    Adds the selected item to the custom exclusion locations list (Tools > Hide Custom Locations)

  4. Exclusions

    1. None

      Do not exclude any of the index.dat file's found

    2. All items found

      Exclude all index.dat file's found

    3. Selected item only

      Exclude only the selected file

  5. Save Results

    Saves list of items found to "Results" file listed in the Index.dat Suite settings

  6. Print Results

    Print list of items found

  7. View file contents

    1. Using internal viewer

      View the selected file using the built in viewer

    2. Using external viewer

      View the selected file using a custom selected external viewer


Menu - View

View Menu
The View menu consists of the following items.
  1. Toolbar

    1. Show

      Show/hide the Toolbar

  2. ID Finder

    Shows the main IDFinder window

  3. Logs

    1. Clear Them Both

      Deletes both the Index.dat Suite log, and Batch File Generation log

    2. Application Log

      1. Clear

        Delete Index.dat Suite log file

      2. View

        View the Index.dat Suite log file

    3. Batch Generation Log

      1. Clear

        Delete Batch File Generation log file

      2. View

        View the Batch File Generation log file


Menu - Tools

Tools Menu
The Tools menu consists of the following items.
  1. Settings

    Shows the Settings dialog

  2. Cleanup

    1. Clean Them All

      Cleans the Cookies, History, TIF, Temp, Recent Documents folders, and the Typed URL's

    2. Folders

      1. Cookies

        1. Delete Contents

          Delete the contents of the Cookies folder

        2. View Contents

          View the contents of the Cookies folder

      2. History

        1. Delete Contents

          Delete the contents of the History folder

        2. View Contents

          View the contents of the History folder

      3. Recent Documents

        1. Delete Contents

          Delete the contents of the Recent Documents folder

        2. View Contents

          View the contents of the Recent Documents folder

      4. Temp

        1. Delete Contents

          Delete the contents of the Temp folder

        2. View Contents

          View the contents of the Temp folder

      5. Temporary Internet Files

        1. Delete Contents

          Delete the contents of the Temporary Internet Files folder

        2. View Contents

          View the contents of the Temporary Internet Files folder
    3. Registry

      1. ComDlg32 MRU

        1. Delete Contents

          Delete the contents of the Common Dialog MRU

      2. FileExts MRU

        1. Delete Contents

          Delete the contents of the FileExts MRU

      3. Internet Explorer MRU

        1. Delete Contents

          Delete the contents of the Internet Explorer MRU (FilesNamed & ContainingText)

      4. Map Network Drive MRU

        1. Delete Contents

          Delete the contents of the Map Network Drive MRU

      5. Run MRU

        1. Delete Contents

          Delete the contents of the Run MRU

      6. Stream MRU

        1. Delete Contents

          Delete the contents of the Stream MRU

      7. Universal Extractor MRU

        1. Delete Contents

          Delete the contents of the Universal Extractor MRU

      8. User Assist MRU

        1. Delete Contents

          Delete the contents of the User Assist MRU

      9. Windows Media Player MRU

        1. Delete Contents

          Delete the contents of the Windows Media Player MRU

      10. Typed URLs MRU

        1. Delete Contents

          Delete the contents of the Typed URLs MRU

    4. Other

      1. IPConfig DNS Cache

        1. Display DNS

          Displays your current DNS configuration

        2. Flush DNS

          Flushes (cleans) the DNS cache

  3. Space Utilization

    Shows the Space Utilization dialog

  4. System Restore

    1. Create Restore Point

      Allows you to create a new Restore Point manually*

    2. Open System Restore

      Launches Windows System Restore facility*

    * For those systems that support this facility.

  5. Batch File Generation

    1. Generate File

      Generates the Batch File that is used to delete the index.dat file's found

    2. Batch File and Registry

      1. Delete batch file

        Deletes the generated batch file

      2. Remove Run entry

        Deletes the Index.dat Suite Run registry entry

      3. Remove RunOnce entry

        Deletes the Index.dat Suite RunOnce registry entry

      4. Remove from WinLogon (Shell)

        Deletes the Index.dat Suite WinLogon registry entry and restores it to it's original value

      5. Delete Both

        Deletes the generated batch file and it's corresponding Registry entry

    3. Clean Custom Files

      Allows you to choose custom files to be included in the generated batch file

    4. Clean Custom Folders

      Allows you to choose custom folders to be included in the generated batch file

  6. Batch From File

    Generate a custom batch file from a list of files/folders you would like cleaned

  7. Scanner

    1. Hide Custom Folders

      Shows the Hide Custom Folders dialog


Menu - Window

Window Menu
The Window menu consists of the following items.
  1. Cascade

    Cascade all open windows

  2. Tile Horizontal

    Tile all open windows horizontally

  3. Tile Vertical

    Tile all open windows vertically

  4. Arrange Icons

    Arrange icons for minimized dialogs


Menu - Help

Help Menu
The Help menu consists of the following items.
  1. Contents ...

    Shows this help file (if installed)

  2. About Index.dat Suite

    Shows the "About" dialog

  3. Feedback

    Send feedback to the developer

  4. Homepage

    Visit the Index.dat Suite homepage

  5. Get Help Online

    Get help online with this application

  6. Check for new version

    Check for updates to this program


Settings and Options

Settings and Options
The settings and options available in Index.dat Suite allow you to control how this program works. Everything from the background image, to the file generation routine, can be customised to suit your needs.

To improve on previous versions of Index.dat Suite, the Settings and options dialog has been given a complete make-over, and additionally has extra options available to you, in an effort to make things as easy as possible for you.

In saying this however, few of these settings should actually require changing as they have been given what we consider to be the "best performing" default settings. As such we would recommend changing these settings, only if you are experiencing problems, or would like to customise the working of the program.


Settings and Options - General

Settings and Options - General
The following settings are available on the General tab.

General
  1. Always create System Restore Point before cleanup and running batch file

    When enabled, Index.dat Suite will automatically create a new restore point (if your version of Windows supports it), both after generating the batch file, and prior to running the cleanup (Tools > Cleanup)

    Recommendation: Leave enabled

  2. Always show error messages when using basic cleanup

    When enabled, Index.dat Suite will display a message for every error that occurs when using the cleanup facility (Tools > Cleanup)

    Recommendation: User preference

  3. Always use external viewer when viewing index.dat file contents

    When enabled, Index.dat Suite will use the external viewer you have set in the Files options, instead of the internal viewer.

    Recommendation: User preference

  4. Automatically find index.dat files when loading Index.dat Suite

    Enabling this option causes Index.dat Suite to auto-run the scan on your system, whilst loading the program. Whilst this can save you running the scan manually (by clicking the Find button), it may slow down the loading of the program.

    Recommendation: User preference

  5. Convert all paths to DOS (8.3) format

    When enabled, Index.dat Suite will convert all paths from long to short (DOS 8.3) format. This setting is only required for Windows 9x/ME systems.

    Recommendation: Leave unchecked unless using Windows 95, 98 or Millenium Edition

  6. Do not display files/folders I choose to hide

    When enabled, Index.dat Suite will not show files you have selected to hide in the system scan results. This setting can be useful when for example, you know of index.dat files that are not associated with Windows, that you'd like to have ignored.

    Recommendation: User preference

  7. Do not prompt to re-start computer after batch file generation

    When ticked, you will no longer be asked if you want to re-start the computer, once the batch file has been generated

    Recommendation: User preference

  8. Do not scan for drive labels

    When enabled, Index.dat Suite will not scan drives for their labels when loading (this can speed up the loading of the program).

    Recommendation: User preference

  9. Mark items in red that may not be safe to delete

    By default this setting is enabled, and allows Index.dat Suite to automatically mark and exclude items that have been detected but are known to cause problems when deleted.

    Items with the following in their paths, are automatically marked during the scan;

    PPSRIN~1 (PPSRIndex.dat - Pest Patrol data file)
    HELPCTR (index.dat -Microsoft Windows Help Center)

    The PCHEALTH (HELPCTR) index.dat file is not like the index.dat files that Index.dat Suite was written to delete. It's contents are used by the Microsoft System Information tool (msinfo32.exe). Deleting this file will prevent the System Information tool working (it will instead, load the Help and Support files).

    Recommendation: Leave checked

  10. Show warning prompt before viewing file contents

    This option allows you to enable or disable the prompt that is shown prior to viewing the contents of an index.dat file.

    If you are unlikely to forget that it takes time to scan these file's, you may feel free to disable it.

    Recommendation: User preference

Automation
  1. Automatically generate a new batch file when shutting down/restarting Windows

    When enabled, Index.dat Suite will enable a Group Policy to tell Windows to run the application with the /auto switch, to generate a new batch file when Windows shuts down.

    Depending on your settings, this file will then be run when Windows re-starts.

    Note: This option is only available for Windows 2000, XP Professional (NOT Home Edition), and above.

    Recommendation: User preference

  2. Automatically run cleanup when shutting down/restarting Windows

    When enabled, Index.dat Suite will enable a Group Policy to tell Windows to run the application with the /clean switch, to run the cleanup (Tools > Cleanup > Clean Them All) when Windows shuts down.

    Note: This option is only available for Windows 2000, XP Professional (NOT Home Edition), and above.

    Recommendation: User preference


Settings and Options - Batch File

Settings and Options - Batch File
The following settings are available on the Batch File tab.
  1. Add file to RunOnce registry key after file generation

    When enabled, this setting tells Index.dat Suite to add a value to your RunOnce registry key that allows the generated batch file to run the next time you re-start Windows. This prevents your having to run the file manually.

    Unless you intend on running the file manually, or are experiencing problems, we strongly recommend you leave this setting enabled.

    Recommendation: Leave checked (enabled)

  2. Add file to Run registry key after file generation

    When enabled, this setting tells Index.dat Suite to add a value to your Run registry key that allows the generated batch file to run each time Windows loads. This prevents your having to run the file manually.

    Note, this option was added upon request and is not recommended.

    Recommendation: Leave unchecked

  3. Add file to WinLogon Shell registry key after file generation

    When enabled, this setting tells Index.dat Suite to add a value to your WinLogon registry key that allows the generated batch file to run each time Windows loads. This prevents your having to run the file manually.

    Note, this option is intended to provide an alternative for those experiencing errors using the RunOnce registry key.

    Recommendation: Leave unchecked

  4. Always delete last generated batch file when loading Index.dat Suite

    When enabled, Index.dat Suite will delete the last batch file you generated (if present), the next time you run the program.

    Recommendation: User preference

  5. Always verify batch file contents after file generation

    When enabled, Index.dat Suite will perform a scan on the generated batch file, to check for invalid or potentially dangerous commands (e.g. deltree /y *.*)

    Recommendation: Should only be disabled if user is experiencing persistent IDSE 500 errors

  6. Do NOT reset WinLogon key after batch file has finished

    By default, the WinLogon key will be reset after deletion has completed, if using WinLogon is enabled. Check this box if you do NOT want the WinLogon registry key reset to it's default value.

    Recommendation: Leave unchecked

  7. Include custom folders when generating batch file

    If ticked, all items specified in "Clean Custom Folders" (Tools menu), will be included in the generated batch file.

    Note: This will also clean ALL sub-folders within the specified folder

    Recommendation: User preference

  8. Run batch file in No-Reboot mode (USE WITH CAUTION!!!!!!!!)

    Experimental option for internal use only at present.

    Recommendation: N/A

  9. Show prompt after generating batch file

    If enabled (ticked), this option tells Index.dat Suite to show a prompt that tells you when the batch file generation is complete.

    Recommendation: User preference

  10. Show generated batch file

    If enabled (ticked), this option tells Index.dat Suite to launch the generated batch file in Notepad. This allows you to check for any possible errors and/or add additional commands.

    Recommendation: Leave checked

  11. Platform

    This setting is used by the Batch file generation engine, to determine which type of commands should be used in the batch file.

    If you are unsure which version of Windows you are using, either leave the setting as "Automatically Detect", or click the "Whats my platform" icon next to the dropdown box.

    Recommendation: Use "Automatically Detect"


Settings and Options - Batch File (2)

Settings and Options - Batch File (2)
The following settings are available on the Batch File (2) tab.
  1. Always backup files to be deleted, before deleting them

    If enabled (ticked), Index.dat Suite will instruct the batch file generated, to backup index.dat and custom files/folders prior to deleting them.

    This setting is enabled by default.

    Recommendation: User preference

  2. Display batch file purpose/warning message when running batch file

    If enabled (ticked), Index.dat Suite will include the following lines in the generated batch file

    @echo off
    :: This file will delete all index.dat files listed below. The Cookies, Temporary Internet Files, History, Temp folders, Recent Documents folder, swap file and any additional files or folders, will be cleared as per your Settings.
    ::
    :: Please note, use of this file is AT YOUR OWN RISK, Ur I.T. Mate Group will NOT be held liable for any problems caused due to the use of this file or any part of the Index.dat Suite software
    ::
    :: File Created: {DATE AND TIME CREATED}
    ::
    :: This file is located at [ {BATCH FILE LOCATION} ]
    This setting is enabled by default.

    Recommendation: User preference

  3. Display commands when running batch file

    If enabled (ticked), Index.dat Suite will use "@echo on" which in turn, will show you the commands as they are executed.

    This setting is disabled by default.

    Recommendation: User preference

  4. Flush DNS after index.dat file deletion

    If enabled, the generated batch file will run the flush DNS command after deleting the index.dat files

    Recommendation: User preference

  5. Include Windows TEMP folder when cleaning (%windir%\temp)

    When enabled, the %windir%\temp folder will be included in the cleaning process

    Recommendation: User preference

  6. Pause after deleting index.dat files

    If enabled (ticked), the batch file will show the message "Press any key to continue" after deleting the index.dat files (this effectively "pauses" the batch file until you resume it).

    This setting is disabled by default

    Recommendation: User preference

  7. Use default file generation routine to remove all index.dat files

    If ticked, all items found will be included in the generated batch file.

    Note: Windows XP users, and those with Pest Patrol installed, are advised to disable (untick) this setting (see: Settings and Options > General).

    WARNING: When enabled, this setting over-rides the exclusion settings (all items found are included, regardless of whether you have chosen to exclude any or not)

    Recommendation: User preference

  8. Use /a:h when generating batch file

    Runs deletion with the attrib /a:h (hidden) switch (added at request for Media Center compatability)

    Recommendation: User preference

  9. Confirm deletion when using /a:h switch

    Confirms deletion when using the attrib /a:h (hidden) switch

    Recommendation: User preference

  10. Use Batch File Generation Wizard

    When enabled, this allows you to use the Batch File Generation Wizard when generating your batch file. This is only useful if you want to either, confirm the file's to be deleted, or add custom file's/folders to be deleted when the batch file is being generated.

    Recommendation: User preference
Defrag Settings
  1. Pause after running defrag

    If enabled (ticked), the batch file will show the message "Press any key to continue" after running defrag (this effectively "pauses" the batch file until you resume it).

    This setting is disabled by default

    Recommendation: User preference

  2. Run defrag after index.dat file deletion

    If enabled (ticked), an extra command will be added to the generated batch file, to run Windows Defrag, after it has finished deleting the index.dat files.

    Users should note, enabling this setting will slow the loading time of Windows dramatically.

    Recommendation: User preference


Settings and Options - Folders

Settings and Options - Folders
This dialog allows you to include (checked) or exclude (unchecked) the following files/folders when generating the batch file.

Items checked, will be included.

1. Cookies
2. History
3. NTUser log file
4. Prefetch
5. Recent Documents
6. Swap File
7. Temporary Internet Files
8. Temp Files
9. Orca Browser cache

Note: Swap File option applies to Microsoft Windows 95, 98, 98 SE (Second Edition) and ME (Millenium Edition) only.

Note: Prefetch folder option applies to Windows 2000, XP and Server 2003 only.


Settings and Options - Files

Settings and Options - Files
The following settings are available on the Files tab

  1. Batch filename

    This setting determines the filename that will be used when generating the batch file.

    Note: for the batch file to work, it MUST have a .bat extension.

    Recommendation: Use default

  2. Results

    This setting determines the location of the results file (used to store the results of a scan on your system).

    Recommendation: User preference

  3. MDIB

    This setting determines the background image that is used for the Index.dat Suite MDI window background. If left blank, or the file is determined not to exist, no image will be used.

    Note: Changes to this setting will not take effect until you re-start Index.dat Suite

    Recommendation: User preference

  4. Method

    This setting determines the display method for the above.

    Note: Changes to this setting will not take effect until you re-start Index.dat Suite

    Recommendation: User preference

  5. External Viewer

    Allows you to use an external viewer for the index.dat file's (e.g. Index.dat QV)

    Recommendation: User preference


Settings and Options - General

Settings and Options - Logs
The following settings are available on the Logs tab.

General
  1. Clear Index.dat Suite log file when exiting

    When enabled (ticked), this setting causes Index.dat Suite to delete the Index.dat Suite log file (default: applog.log) when closing the program.

    The choice of enabling/disabling this setting is entirely your own. However, this file is useful when it comes to troubleshooting problems.

    Recommendation: User preference

  2. Disable application logging

    When enabled (ticked), Index.dat Suite will not log any action performed, or error that occurs.

    The choice of enabling/disabling this setting is entirely your own. However, the log files are useful when it comes to troubleshooting problems.

    Recommendation: User preference

  3. Enable debug during system scan

    When enabled, Index.dat Suite will log as much information as possible about the scan, to the log file

    Recommendation: User preference
Batch File
  1. Clear batch file generation log when exiting

    When enabled (ticked), this setting causes Index.dat Suite to delete the Batch File Generation log file (default: bfglog.log) when closing the program.

    The choice of enabling/disabling this setting is entirely your own. However, this file is useful when it comes to troubleshooting problems.

    Recommendation: User preference

  2. Disable batch file logging

    When enabled (ticked), this setting causes the generated batch file, to log all actions performed (these are logged into the debug.log file).

    The choice of enabling/disabling this setting is entirely your own. However, this file is useful when it comes to troubleshooting problems.

    Recommendation: User preference
Log File Locations
  1. App Log

    This setting determines the location of the log file used by Index.dat Suite

    Recommendation: User preference

  2. BFG Log

    This setting determines the location of the Batch File Generation log file used by Index.dat Suite

    Recommendation: User preference


Credits and Copyrights

Credits and Copyrights
---------------
Copyrights
---------------

Index.dat Suite is copyright 1998 - 2007 Ur I.T. Mate Group.

This program has been licenced as freeware and as such, may be distributed freely, aslong as no charge is made for the access to, or download of, this program, or any file's associated with it.

In addition, you are not permitted to attempt to de-compile, or otherwise mis-use this application. Use of this application is permitted on the understanding that Ur I.T. Mate Group does NOT and will NOT accept liability or be sued for any damage, loss of data, personal health, loss of income or other such possibilities, that occur due to the general use of this program.

For further information pertaining to the licence and distribution of Index.dat Suite, and the file's accompanying it, please see the End User Licence Agreement.

---------------
Credits
---------------

I would like to thank the following people for their opinions, inspiration and testing, during the development of Index.dat Suite over the years (apologies in advance if I've forgotten anyone).
  1. Tom Mercado (aka TeMerc) (Microsoft MVP)

    http://www.temerc.com

  2. Jonathan Wright (Wrightway Computers)

    http://www.wrightway.uk.com

  3. Ken Howey (aka YK, YoKenny, CalamityKen) (Microsoft MVP)

    http://www.calendarofupdates.com

  4. Wesley Vogel (Microsoft MVP)

    No known website

  5. George Gedye (Microsoft MVP)

    http://dundats.mvps.org/

  6. Bob McKenzie

    http://www.webgrid.co.uk

  7. Scott Williams

    http://www.freewarearena.org

  8. Stéphane Séguin

    No known website

  9. alt.comp.freeware newsgroup members

    http://www.pricelesswarehome.org


End User Licence Agreement

End User Licence Agreement
End User Licence Agreement (EULA)

Herein "WE" and "AUTHOR" shall refer to Ur I.T. Mate Group and Steven Burn, "PRODUCT" shall refer to products developed and provided by Ur I.T. Mate Group and Steven Burn, "SERVICES" shall refer to services developed and provided by Ur I.T. Mate Group and Steven Burn, "USER" shall refer to you, the user (either as an individual, single entity or group).

This End User Licence Agreement (EULA) is a legal agreement between you, the USER and the mentioned AUTHOR. By using the mentioned AUTHOR's PRODUCTS, SERVICES and all other documents associated with and/or accompanying such, you agree to have read, fully understand and agree to be bound by, the terms set out below.
  1. Products
  2. Services
  3. Licence
  4. Distribution
  5. Distribution Restrictions
  6. EULA Modifications
  7. EULA Termination
PRODUCTS

All software and accompanying written materials provided by the AUTHOR are provided "as is", without warranty of any kind. Further, the AUTHOR does not warrant, guarantee, or take any representations regarding the use, or the results of use, of the PRODUCTS or written materials in terms of accuracy, reliability, currentness or other such representations. The entire risk as to the results and performance of the software and accompanying documentation, is assumed by the USER.

Neither the AUTHOR nor anyone else who has been involved in the creation, production or delivery of the AUTHOR's PRODUCTS (directly or indirectly) shall be liable for any direct, indirect, consequential, accidental or incidental damages (including but not limited to, damages for loss of profits (business and individual), interruption (business and individual), loss of data (business and individual) and other possible damages) arising out of the use or inability to use the product, including but not limited to, cases where the AUTHOR has been advised of the possibility of such damages.

By using the AUTHOR's PRODUCTS, you acknowledge that you have read, understand, and agree, to be bound by the terms as set out in this agreement.

SERVICES

All services and accompanying written materials provided by the AUTHOR are provided "as is", without warranty of any kind. Further, the AUTHOR does not warrant, guarantee, or take any representations regarding the use, or the results of use, of the SERVICES or written materials in terms of accuracy, reliability, currentness or other such representations. The entire risk as to the results and performance of the SERVICES and accompanying documentation, is assumed by the USER.

Neither the AUTHOR nor anyone else who has been involved in the creation, production or delivery of the AUTHOR's SERVICES (directly or indirectly) shall be liable for any direct, indirect, consequential, accidental or incidental damages (including but not limited to, damages for loss of profits (business and individual), interruption (business and individual), loss of data (business and individual) and other possible damages) arising out of the use or inability to use the SERVICES, including but not limited to, cases where the AUTHOR has been advised of the possibility of such damages.

By using the AUTHOR's SERVICES, you acknowledge that you have read, understand, and agree, to be bound by the terms as set out in this agreement.

LICENCE

Under the terms of this agreement, a non-exclusive [FREEWARE] licence is granted to the USER on the understanding the AUTHOR retains ALL rights to SERVICES, PRODUCTS, written materials and other such supplies.

Under this agreement, you are free to download and/or use the SERVICES and PRODUCTS provided by the AUTHOR, but are NOT permitted to attempt to modify, de-compile, merge, sell, lease or otherwise mis-use said AUTHOR's PRODUCTS and/or SERVICES, including but not limited to, all graphics, documents and other such file's.

DISTRIBUTION

Under the terms of this agreement, the AUTHOR grants you a non-exclusive licence to re-distribute all PRODUCTS provided by said AUTHOR, on the understanding no attempt is made to sell or otherwise personally or financially gain from the distribution of such PRODUCTS, and all file's provided, remain intact, unchanged, and in full, including, but not limited to: Readme, EULA, DISTRIBUTION, Help, PRODUCT and all other such file's.

DISTRIBUTION RESTRICTIONS

Whilst the AUTHOR grants you permission to distribute said AUTHOR's PRODUCTS, the following restrictions apply in all cases where the PRODUCT and/or SERVICE has been developed and/or [is] provided by, said AUTHOR.

You may not list any of the AUTHOR's PRODUCTS on website's that charge for access to listings, downloadable file's or other such material.

You may not list or distribute said AUTHOR's PRODUCTS via cd-rom or other such media, except where charges are for postage only.

You may not "bundle" ANY of said AUTHOR's products with ANY product and/or service that has not been developed and/or [is] provided by said AUTHOR.

If including said AUTHOR's PRODUCTS on media such as CD-ROM, DVD, floppy diskette, the AUTHOR must be informed prior to your doing so. Additionally, said AUTHOR reserves the right to be sent a copy of such media without charge, monetary or otherwise.

Under the terms of this agreement, distribution of SERVICES provided by the AUTHOR is expressly forbidden unless written permission has been granted by said AUTHOR. In cases where written permission has been given, said AUTHOR reserves the right to charge a nominal fee to cover potential administration costs and/or costs related to source file's.

EULA MODIFICATIONS

The afformentioned AUTHOR reserves the right to modify this EULA at any time, without notice. Should such a modification take place, the USER is expected to read and agree to such modifications within 7 days. Failure to agree to such modifications shall require said USER cease using said AUTHOR's PRODUCTS and/or SERVICES.

EULA TERMINATION

Said AUTHOR reserves the right to terminate this agreement at any time, in whole or part without notice or prior warning. Should such a termination take place, the USER shall be granted a non-exclusive gratis licence to carry on using said AUTHOR's PRODUCTS and/or SERVICES with the same restrictions above, but with the understanding, no support shall be provided for said PRODUCT and/or SERVICE. Said gratis licence shall apply for a period no less than 3 years, and no more than 500 years.

Last Updated: 31st July 2004 07:46

Note: The online version of this EULA supercedes all offline documentation. To view the latest online version, please see;

http://support.it-mate.co.uk/?mode=Documents


Settings and Options - Misc

Settings and Options - Misc
The following settings are available on the Misc tab.
Logs


Menu - Tools

Tools Menu
The Tools menu consists of 4 items. These are listed below.
  1. Settings

    Shows the Settings dialog

  2. Index.dat Finder

    Shows the main IDFinder window

  3. Generate File

    Generates the Batch File that is used to delete the index.dat file's found

  4. Custom Folders

    Shows Custom Folders dialog